Fix Issue #1 "Test Tools 1.4 require Pro license due to dependency on Sockets library"

#5 Declined
Repository
UnityTestTools
Branch
stable
Author
  1. Rupert Key
Reviewers
Description

Hi, Tomek

Per my message in the forum, I'd like to offer this fix for Issue 1 "Test Tools 1.4 require Pro license due to dependency on Sockets library".

As I mentioned in the forum, I didn't grok the whole code -- merely relied on your #if UNITY_METRO lines doing the right thing.

I include a test-case to check the logic documenting expected needs (though I'm not positive about the Metro stuff). Per the comment at the top of the test, it is only enabled with a define so shouldn't impact those not working on the UTT. Hope this is a reasonable precedent. Obviously it's not a sample test so didn't fit there.

HTH, Rupert.

Comments (0)